:root {
    --building-color: #FF9800;
    --house-color: #0288D1;
    --shop-color: #7B1FA2;
    --warehouse-color: #558B2F;
  }

  @keyframes dSciEr {
    0% {
      opacity: 0;
      margin-bottom: -24px;
      backdrop-filter: blur(0px);
    }
    
    100% {
        opacity: 1;
        margin-bottom: 0px;
        backdrop-filter: blur(10px);
    }
  }
  
  /*
   * Optional: Makes the sample page fill the window.
   */
  html,
  body {
    height: 100%;
    margin: 0;
    padding: 0;

    font-family: Inter, sans-serif;
    text-rendering: optimizelegibility;
    -webkit-font-smoothing: antialiased;
  }
  
  /*
   * Always set the map height explicitly to define the size of the div element
   * that contains the map.
   */
  #map {
    height: 100%;
    width: 100%;
  }
  
  /*
   * Property styles in unhighlighted state.
   */
  .navadvip_place {
    font-family: Inter, sans-serif;
    align-items: center;
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.66);
    border-radius: 50%;
    color: #263238;
    display: flex;
    font-size: 14px;
    gap: 15px;
    height: 50px;
    width: 50px;
    justify-content: center;
    padding: 0px;
    position: relative;
    
    box-shadow: rgba(0, 0, 0, 0.25) 0px 0px 19px;
    
  }
  
  .navadvip_place::after {
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid rgba(255, 255, 255, 0.66);;
    content: "";
    height: 0;
    left: 50%;
    position: absolute;
    top: 95%;
    transform: translate(-50%, 0);
    
    transition: all 0.3s ease-out;

    width: 0;
    z-index: 1;
  }
  
  .cVoSXk {
    width: 20px;
    height: 14px;
    overflow: hidden;
    position: absolute;
    bottom: -13px;
    left: calc(50% - 10px);
    z-index: 2147483647;
  }
  .lQXAf {
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.66);
    box-shadow: rgba(0, 0, 0, 0.25) 0px 0px 19px;
    width: 20px;
    height: 20px;
    position: absolute;
    top: -14px;
    clip-path: polygon(0px 0px, 0% 100%, 100% 100%);
    transform: rotate(-45deg);
  }
  .navadvip_place .icon {
    align-items: center;
    display: flex;
    justify-content: center;
    color: #FFFFFF;
    border: 2px solid #000000;
    border-radius: 50%;
    overflow: hidden;
  }
  
  .navadvip_place .icon img {
    height: 40px;
    width: 40px;
  }

  
  .navadvip_place .modal_window {
    display: none;
    animation: 300ms ease 0s 1 normal none running dSciEr;
    overflow: hidden;
  }

  .navadvip_place .cc {
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    overflow: hidden;
  }

  .modal-dialog .place_title,
  .navadvip_place .place_title {
    font-weight: 600;
    font-size: 16px;
    margin-bottom: 4px;
    color: rgb(0, 0, 0);
  }
  
  .modal-dialog .address,
  .navadvip_place .address {
    color: #9E9E9E;
    font-size: 10px;
    margin-bottom: 10px;
    margin-top: 1px;
  }
  
  .modal-dialog .place_description,
  .navadvip_place .place_description {
    font-size: 14px;
    font-weight: 400;
    color: rgb(0, 0, 0);
    cursor: pointer;
    text-decoration: none;
    line-height: 1.2rem;
  }
  .navadvip_place .place_description:hover {
    text-decoration: underline;
  }
  .navadvip_place .place_description .read_more {
    font-weight: 600;
  }

  .modal-dialog .btn_modal,
  .navadvip_place .btn {
    margin: 16px 0px 0px;
    display: flex;
    flex-direction: column;
    gap: 8px;
  }
  .modal-dialog .btn_modal {
    max-width: 300px;
    width: 100%;
    margin: 0 0 0 0;
  }
  .modal-dialog .btn_modal a,
  .navadvip_place .btn a {
    cursor: pointer;
    border: 1px solid rgb(221, 221, 221);
    border-radius: 9px;
    padding: 7px 14px;
    font-size: 14px;
    color: rgb(0, 0, 0);
    font-weight: 400;
    text-decoration: none;
    background-color: rgb(255, 255, 255);
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
  }
  .carousel-item img {
    object-fit: cover;
  }
  .custom-location-btn {
    background-color: #fff;
    border: 0;
    border-radius: 2px;
    box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
    margin: 10px;
    padding: 0 0.5em;
    font: 400 18px Roboto, Arial, sans-serif;
    overflow: hidden;
    height: 40px;
    cursor: pointer;
  }
  .custom-location-btn:hover {
    background: rgb(235, 235, 235);
  }
  /*
   * Navadvip place styles in highlighted state.
   */
  .navadvip_place.highlight {
    
    border-radius: 25px;
    
    height: auto;
    
    width: 300px;
  }

  .navadvip_place.highlight::after {
    
  }

  .navadvip_place.highlight .modal_window {
    display:  block;
    
  }
  .navadvip_place.highlight .info_block {
    padding: 8px 15px;
  }
  
  .navadvip_place.highlight::after {
    top: 100%;
  }
  
  .navadvip_place.highlight .details {
    display: flex;
  }

  .navadvip_place.highlight .icon {
    display: none;
  }
  
  .navadvip_place.highlight .icon svg {
    width: 50px;
    height: 50px;
    
  }

  .navadvip_place.highlight .picone {
    background-color: rgb(238, 238, 238);
    background-position: 50% 50%;
    background-size: cover;
    width: 100%;
    height: 184px;
    border-top-left-radius: 29px;
    border-top-right-radius: 29px;
}
  
  .navadvip_place .bed {
    color: #FFA000;
  }
  
  .navadvip_place .bath {
    color: #03A9F4;
  }
  
  .navadvip_place .size {
    color: #388E3C;
  }
  
  /*
   * House icon colors.
   */
  .navadvip_place.highlight:has(.fa-house) .icon {
    color: var(--house-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-house) {
    background-color: var(--house-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-house)::after {
    border-top: 9px solid var(--house-color);
  }
  
  /*
   * Building icon colors.
   */
  .navadvip_place.highlight:has(.fa-building) .icon {
    color: var(--building-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-building) {
    background-color: var(--building-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-building)::after {
    border-top: 9px solid var(--building-color);
  }
  
  /*
   * Warehouse icon colors.
   */
  .navadvip_place.highlight:has(.fa-warehouse) .icon {
    color: var(--warehouse-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-warehouse) {
    background-color: var(--warehouse-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-warehouse)::after {
    border-top: 9px solid var(--warehouse-color);
  }
  
  /*
   * Shop icon colors.
   */
  .navadvip_place.highlight:has(.fa-shop) .icon {
    color: var(--shop-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-shop) {
    background-color: var(--shop-color);
  }
  
  .navadvip_place:not(.highlight):has(.fa-shop)::after {
    border-top: 9px solid var(--shop-color);
  }



  .marker-list {
    position: absolute;
    top: 60px;
    left: 10px;
    background: rgba(255, 255, 255, 0.9);
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    max-width: 200px;
    font-size: 14px;
    z-index: 100;
}

.marker-item {
  cursor: pointer;
  padding: 8px;
  margin-bottom: 5px;
  border-radius: 5px;
  background: #f1f1f1;
  transition: 0.3s;
}
.marker-item:hover {
  background: #ccc;
}

.marker-label {
  background: white;
  padding: 5px 10px;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
  font-size: 12px;
  font-weight: bold;
  position: absolute;
  transform: translate(-50%, -40px);
  white-space: nowrap;
}
.marker-label:hover {

  background: blue;
}